"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Route53ResolverClient_1 = require("./Route53ResolverClient");
var AssociateResolverEndpointIpAddressCommand_1 = require("./commands/AssociateResolverEndpointIpAddressCommand");
var AssociateResolverRuleCommand_1 = require("./commands/AssociateResolverRuleCommand");
var CreateResolverEndpointCommand_1 = require("./commands/CreateResolverEndpointCommand");
var CreateResolverRuleCommand_1 = require("./commands/CreateResolverRuleCommand");
var DeleteResolverEndpointCommand_1 = require("./commands/DeleteResolverEndpointCommand");
var DeleteResolverRuleCommand_1 = require("./commands/DeleteResolverRuleCommand");
var DisassociateResolverEndpointIpAddressCommand_1 = require("./commands/DisassociateResolverEndpointIpAddressCommand");
var DisassociateResolverRuleCommand_1 = require("./commands/DisassociateResolverRuleCommand");
var GetResolverEndpointCommand_1 = require("./commands/GetResolverEndpointCommand");
var GetResolverRuleAssociationCommand_1 = require("./commands/GetResolverRuleAssociationCommand");
var GetResolverRuleCommand_1 = require("./commands/GetResolverRuleCommand");
var GetResolverRulePolicyCommand_1 = require("./commands/GetResolverRulePolicyCommand");
var ListResolverEndpointIpAddressesCommand_1 = require("./commands/ListResolverEndpointIpAddressesCommand");
var ListResolverEndpointsCommand_1 = require("./commands/ListResolverEndpointsCommand");
var ListResolverRuleAssociationsCommand_1 = require("./commands/ListResolverRuleAssociationsCommand");
var ListResolverRulesCommand_1 = require("./commands/ListResolverRulesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var PutResolverRulePolicyCommand_1 = require("./commands/PutResolverRulePolicyCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateResolverEndpointCommand_1 = require("./commands/UpdateResolverEndpointCommand");
var UpdateResolverRuleCommand_1 = require("./commands/UpdateResolverRuleCommand");
var Route53Resolver = /** @class */ (function (_super) {
    tslib_1.__extends(Route53Resolver, _super);
    function Route53Resolver() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Route53Resolver.prototype.associateResolverEndpointIpAddress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociateResolverEndpointIpAddressCommand_1.AssociateResolverEndpointIpAddressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.associateResolverRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociateResolverRuleCommand_1.AssociateResolverRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.createResolverEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateResolverEndpointCommand_1.CreateResolverEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.createResolverRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateResolverRuleCommand_1.CreateResolverRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.deleteResolverEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteResolverEndpointCommand_1.DeleteResolverEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.deleteResolverRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteResolverRuleCommand_1.DeleteResolverRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.disassociateResolverEndpointIpAddress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociateResolverEndpointIpAddressCommand_1.DisassociateResolverEndpointIpAddressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.disassociateResolverRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociateResolverRuleCommand_1.DisassociateResolverRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.getResolverEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResolverEndpointCommand_1.GetResolverEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.getResolverRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResolverRuleCommand_1.GetResolverRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.getResolverRuleAssociation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResolverRuleAssociationCommand_1.GetResolverRuleAssociationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.getResolverRulePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResolverRulePolicyCommand_1.GetResolverRulePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.listResolverEndpointIpAddresses = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResolverEndpointIpAddressesCommand_1.ListResolverEndpointIpAddressesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.listResolverEndpoints = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResolverEndpointsCommand_1.ListResolverEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.listResolverRuleAssociations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResolverRuleAssociationsCommand_1.ListResolverRuleAssociationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.listResolverRules = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResolverRulesCommand_1.ListResolverRulesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.putResolverRulePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutResolverRulePolicyCommand_1.PutResolverRulePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.updateResolverEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateResolverEndpointCommand_1.UpdateResolverEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Route53Resolver.prototype.updateResolverRule = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateResolverRuleCommand_1.UpdateResolverRuleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return Route53Resolver;
}(Route53ResolverClient_1.Route53ResolverClient));
exports.Route53Resolver = Route53Resolver;
//# sourceMappingURL=Route53Resolver.js.map