"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociateResolverRule_1 = require("../model/operations/AssociateResolverRule");
var AssociateResolverRuleCommand = /** @class */ (function () {
    function AssociateResolverRuleCommand(input) {
        this.input = input;
        this.model = AssociateResolverRule_1.AssociateResolverRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociateResolverRuleCommand;
}());
exports.AssociateResolverRuleCommand = AssociateResolverRuleCommand;
//# sourceMappingURL=AssociateResolverRuleCommand.js.map