"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResolverEndpoint_1 = require("../model/operations/GetResolverEndpoint");
var GetResolverEndpointCommand = /** @class */ (function () {
    function GetResolverEndpointCommand(input) {
        this.input = input;
        this.model = GetResolverEndpoint_1.GetResolverEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResolverEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResolverEndpointCommand;
}());
exports.GetResolverEndpointCommand = GetResolverEndpointCommand;
//# sourceMappingURL=GetResolverEndpointCommand.js.map