"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResolverRuleAssociation_1 = require("../model/operations/GetResolverRuleAssociation");
var GetResolverRuleAssociationCommand = /** @class */ (function () {
    function GetResolverRuleAssociationCommand(input) {
        this.input = input;
        this.model = GetResolverRuleAssociation_1.GetResolverRuleAssociation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResolverRuleAssociationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResolverRuleAssociationCommand;
}());
exports.GetResolverRuleAssociationCommand = GetResolverRuleAssociationCommand;
//# sourceMappingURL=GetResolverRuleAssociationCommand.js.map