"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResolverRule_1 = require("../model/operations/GetResolverRule");
var GetResolverRuleCommand = /** @class */ (function () {
    function GetResolverRuleCommand(input) {
        this.input = input;
        this.model = GetResolverRule_1.GetResolverRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResolverRuleCommand;
}());
exports.GetResolverRuleCommand = GetResolverRuleCommand;
//# sourceMappingURL=GetResolverRuleCommand.js.map