"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListResolverEndpointIpAddresses_1 = require("../model/operations/ListResolverEndpointIpAddresses");
var ListResolverEndpointIpAddressesCommand = /** @class */ (function () {
    function ListResolverEndpointIpAddressesCommand(input) {
        this.input = input;
        this.model = ListResolverEndpointIpAddresses_1.ListResolverEndpointIpAddresses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListResolverEndpointIpAddressesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListResolverEndpointIpAddressesCommand;
}());
exports.ListResolverEndpointIpAddressesCommand = ListResolverEndpointIpAddressesCommand;
//# sourceMappingURL=ListResolverEndpointIpAddressesCommand.js.map