"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AssociateResolverRuleInput_1 = require("../shapes/AssociateResolverRuleInput");
var AssociateResolverRuleOutput_1 = require("../shapes/AssociateResolverRuleOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceUnavailableException_1 = require("../shapes/ResourceUnavailableException");
var ResourceExistsException_1 = require("../shapes/ResourceExistsException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AssociateResolverRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AssociateResolverRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AssociateResolverRuleInput_1.AssociateResolverRuleInput
    },
    output: {
        shape: AssociateResolverRuleOutput_1.AssociateResolverRuleOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceUnavailableException_1.ResourceUnavailableException
        },
        {
            shape: ResourceExistsException_1.ResourceExistsException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=AssociateResolverRule.js.map