"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map