"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateResolverRuleInput_1 = require("../shapes/UpdateResolverRuleInput");
var UpdateResolverRuleOutput_1 = require("../shapes/UpdateResolverRuleOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceUnavailableException_1 = require("../shapes/ResourceUnavailableException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateResolverRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateResolverRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateResolverRuleInput_1.UpdateResolverRuleInput
    },
    output: {
        shape: UpdateResolverRuleOutput_1.UpdateResolverRuleOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceUnavailableException_1.ResourceUnavailableException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=UpdateResolverRule.js.map